com.verisign.epp.codec.launchpolicy.v01

## Class EPPLaunchPolicyPhaseStatus

- java.lang.Object
- - com.verisign.epp.codec.launchpolicy.v01.EPPLaunchPolicyPhaseStatus

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPLaunchPolicyPhaseStatus
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPLaunchPolicyPhaseStatus` defines a supported launch status value. The `EPPLaunchPolicyPhaseStatus.Status` enumeration includes the possible set of status values with the optional name attribute used when the status is `EPPLaunchPolicyPhaseStatus.Status.custom`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EPPLaunchPolicyPhaseStatus.Status` Possible launch phase statuses used by the `statuses` attribute.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_LANG` XML attribute name used for the OPTIONAL `lang` attribute.
    `static java.lang.String` | `ATTR_NAME` XML attribute name used for the OPTIONAL `name` attribute.
    `static java.lang.String` | `ATTR_STATUS` XML attribute name used for the `status` attribute.
    `static java.lang.String` | `DEFAULT_LANG` Default Language -- English "en"
    `static java.lang.String` | `ELM_LOCALNAME` Default root element local name
    `static java.lang.String` | `ELM_NAME` Constant for the phase qualified name (prefix and local name)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPLaunchPolicyPhaseStatus()` Default constructor for `EPPLaunchPolicyPhaseStatus`.
    `EPPLaunchPolicyPhaseStatus(EPPLaunchPolicyPhaseStatus.Status aStatus)` `EPPLaunchPolicyPhaseStatus` constructor that takes the required `status` attribute value.
    `EPPLaunchPolicyPhaseStatus(EPPLaunchPolicyPhaseStatus.Status aStatus, java.lang.String aName)` `EPPLaunchPolicyPhaseStatus` constructor that takes the required `status` attribute value along with a custom name attribute.
    `EPPLaunchPolicyPhaseStatus(EPPLaunchPolicyPhaseStatus.Status aStatus, java.lang.String aName, java.lang.String aLang, java.lang.String aDescription)` `EPPLaunchPolicyPhaseStatus` constructor that takes attribute values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPLaunchPolicyPhaseStatus`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPLaunchPolicyPhaseStatus` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPLaunchPolicyPhaseStatus` instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPLaunchPolicyPhaseStatus` compare.
    `java.lang.String` | `getDescription()` Gets the status description, which is free form text describing the rationale for the status.
    `java.lang.String` | `getLang()` Gets the language of the status description with the default set to `DEFAULT_LANG`.
    `java.lang.String` | `getName()` Gets the OPTIONAL custom status name.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `protected java.lang.String` | `getRootName()` Gets the root element local name.
    `EPPLaunchPolicyPhaseStatus.Status` | `getStatus()` Gets the phase status value.
    `boolean` | `hasDescription()` Is the description defined?
    `boolean` | `hasName()` Is the name defined?
    `boolean` | `hasStatus()` Is the status value defined?
    `void` | `setDescription(java.lang.String aDesc)` Sets the status description, which is free form text describing the rationale for the status.
    `void` | `setLang(java.lang.String aLang)` Sets the language of the status description with the default set to `DEFAULT_LANG`.
    `void` | `setName(java.lang.String aName)` Sets the OPTIONAL custom status name.
    `void` | `setStatus(EPPLaunchPolicyPhaseStatus.Status aStatus)` Sets the phase status value.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Default root element local name
      See Also:
        Constant Field Values

    - #### DEFAULT_LANG

          public static final java.lang.String DEFAULT_LANG

      Default Language -- English "en"
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the phase qualified name (prefix and local name)
      See Also:
        Constant Field Values

    - #### ATTR_STATUS

          public static final java.lang.String ATTR_STATUS

      XML attribute name used for the `status` attribute.
      See Also:
        Constant Field Values

    - #### ATTR_NAME

          public static final java.lang.String ATTR_NAME

      XML attribute name used for the OPTIONAL `name` attribute.
      See Also:
        Constant Field Values

    - #### ATTR_LANG

          public static final java.lang.String ATTR_LANG

      XML attribute name used for the OPTIONAL `lang` attribute.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPLaunchPolicyPhaseStatus

          public EPPLaunchPolicyPhaseStatus()

      Default constructor for `EPPLaunchPolicyPhaseStatus`. The `status` attribute must be set.

    - #### EPPLaunchPolicyPhaseStatus

          public EPPLaunchPolicyPhaseStatus(EPPLaunchPolicyPhaseStatus.Status aStatus)

      `EPPLaunchPolicyPhaseStatus` constructor that takes the required `status` attribute value.
      Parameters:
        `aStatus` - Launch phase status value

    - #### EPPLaunchPolicyPhaseStatus

          public EPPLaunchPolicyPhaseStatus(EPPLaunchPolicyPhaseStatus.Status aStatus,
                                            java.lang.String aName)

      `EPPLaunchPolicyPhaseStatus` constructor that takes the required `status` attribute value along with a custom name attribute.
      Parameters:
        `aStatus` - Launch phase status value
        `aName` - Custom status name. Set to `null` if undefined.

    - #### EPPLaunchPolicyPhaseStatus

          public EPPLaunchPolicyPhaseStatus(EPPLaunchPolicyPhaseStatus.Status aStatus,
                                            java.lang.String aName,
                                            java.lang.String aLang,
                                            java.lang.String aDescription)

      `EPPLaunchPolicyPhaseStatus` constructor that takes attribute values.
      Parameters:
        `aStatus` - Phase status value
        `aName` - OPTIONAL custom status name. Set to `null` if undefined.
        `aLang` - OPTIONAL language of the status description with a default of `DEFAULT_LANG`. Set to `DEFAULT_LANG` or `null` to use the default value.
        `aDescription` - Description of the status rationale

  - ### Method Detail

    - #### getRootName

          protected java.lang.String getRootName()

      Gets the root element local name.
      Returns:
        Root element local name.

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPLaunchPolicyPhaseStatus` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPLaunchPolicyPhaseStatus` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPLaunchPolicyPhaseStatus` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPLaunchPolicyPhaseStatus` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPLaunchPolicyPhaseStatus` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPLaunchPolicyPhaseStatus` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPLaunchPolicyPhaseStatus` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPLaunchPolicyPhaseStatus`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPLaunchPolicyPhaseStatus`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### hasStatus

          public boolean hasStatus()

      Is the status value defined?
      Returns:
        `true` if the status is defined; `false` otherwise.

    - #### getStatus

          public EPPLaunchPolicyPhaseStatus.Status getStatus()

      Gets the phase status value.
      Returns:
        Phase status value if defined; `null` otherwise.

    - #### setStatus

          public void setStatus(EPPLaunchPolicyPhaseStatus.Status aStatus)

      Sets the phase status value.
      Parameters:
        `aStatus` - The phase status value.

    - #### hasName

          public boolean hasName()

      Is the name defined?
      Returns:
        `true` if the name is defined; `false` otherwise.

    - #### getName

          public java.lang.String getName()

      Gets the OPTIONAL custom status name.
      Returns:
        The custom phase name if defined; `null` otherwise.

    - #### setName

          public void setName(java.lang.String aName)

      Sets the OPTIONAL custom status name.
      Parameters:
        `aName` - Custom status name

    - #### getLang

          public java.lang.String getLang()

      Gets the language of the status description with the default set to `DEFAULT_LANG`.
      Returns:
        Language of description with the default value of `DEFAULT_LANG`.

    - #### setLang

          public void setLang(java.lang.String aLang)

      Sets the language of the status description with the default set to `DEFAULT_LANG`.
      Parameters:
        `aLang` - Language of description. If set to `null`, the value will be set to the default of `DEFAULT_LANG`.

    - #### hasDescription

          public boolean hasDescription()

      Is the description defined?
      Returns:
        `true` if the description is defined; `false` otherwise.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the status description, which is free form text describing the rationale for the status.
      Returns:
        Status description if defined; `null` otherwise.

    - #### setDescription

          public void setDescription(java.lang.String aDesc)

      Sets the status description, which is free form text describing the rationale for the status.
      Parameters:
        `aDesc` - Status description. Set to `null` if undefined.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.